{ ... }:

{
  services.restic.server = {
    enable = true;
    privateRepos = true;
    dataDir = "/mnt/backup-4/magenta";
    listenAddress = "[::1]:43242";
  };

  services.nginx.virtualHosts."magenta.backup.clerie.de" = {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://[::1]:43242/";
      extraConfig = ''
        client_max_body_size 10G;
      '';
    };
  };
}
